### Virtual Method

# Fwupd Codec from_variant

since: 2.0.0

#### Declaration [src]

    gboolean
    from_variant (
      FwupdCodec* self,
      GVariant* value,
      GError** error
    )

#### Description [src]

Converts an object that implements `FwupdCodec` from a `GVariant` value.

Available since: 2.0.0

#### Parameters

`value`

  Type: `GVariant`

  A JSON node.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.